R2ajuste<-function(y,yp,dim_x){

#--------------------------------------------------------
#Calcule le R2 ajuste (du nb de degre de liberte)       |  
#-------------------------------------------------------|
#Arguments                                              |
#obligatoires : y : valeurs des donnees                 |  
#	        yp : valeurs predites                   | 
#               dim_x : nombre de predicteurs           |
#-------------------------------------------------------|
#Sortie : R2ajuste : la valeur correspondant            |
#-------------------------------------------------------|
#      Auteur : B. Iooss                                |
#-------------------------------------------------------|  

  ym<-sum(y)/length(y)
  R2<-(sum((y-ym)^2)-sum((y-yp)^2))/(sum((y-ym)^2))
  if (length(y)-dim_x-1 <= 0) return(0)
  else return(((length(y)-1)*R2-dim_x)/(length(y)-dim_x-1))

}
