#-------------------------------------------------------------------
#Tableau pour 11 variables d'entree                                |
#------------------------------------------------------------------|
#Ce fichier permet de choisir les termes que l'on souhaite         |
#inclure dans la formule de regression lorsqu'on la cree avec      |
#la fonction "maformule" :                                         |
#                                                                  |
#Selectionner les termes choisis et laisser les autres en          |
#commentaire en placant un diese devant                            |
#                                                                  |
#Taper ensuite :                                                   |
#   maformule(x,a1=tabA1,a2=tabA2 ...)                             |
#ou                                                                |
#   monprogramme(x,y,tabA1=tabA1,tabA2=tabA2 ...)                  |
#ou                                                                |
#   contributions(x,y,a1=tabA1,a2=tabA2 ...)                       |
#-------------------------------------------------------------------

#Pour selectionner les Vi
tabA1<-rep("no",11)
tabA1[1]="yes"
tabA1[2]="yes"
tabA1[3]="yes"
tabA1[6]="yes"
tabA1[7]="yes"
tabA1[9]="yes"
tabA1[10]="yes"
tabA1[11]="yes"

#Pour selectionner les Vi^2
tabA2<-rep("no",11)
tabA2[3]="yes"

#Pour selectionner les Vi^3
tabA3<-rep("no",11)

#Pour selectionner les Vi^4
tabA4<-rep("no",11)

#Pour selectionner les ViVj ( Attention : toujours prendre i<j )
tabB1<-array("no",dim=c(11,11))
tabB1[6,8]="yes"
tabB1[3,8]="yes"
tabB1[5,7]="yes"
tabB1[7,9]="yes"
tabB1[3,6]="yes"
tabB1[2,11]="yes"
tabB1[3,11]="yes"
tabB1[6,10]="yes"
tabB1[1,6]="yes"


#Pour selectionner les ViVjVk ( Attention : toujours prendre i<j<k )
tabC1<-array("no",dim=c(11,11,11))
tabC1[1,5,6]="yes"
tabC1[1,3,8]="yes"
tabC1[6,8,10]="yes"
tabC1[6,7,8]="yes"
tabC1[5,6,7]="yes"

#Pour selectionner les Vi^2Vj ( Attention : toujours prendre i!=j )
tabC2<-array("no",dim=c(11,11))
tabC2[3,11]="yes"
tabC2[7,5]="yes"

#Pour selectionner les ViVjVkVl ( Attention : toujours prendre i<j<k<l )
tabD1<-array("no",dim=c(11,11,11,11))

#Pour selectionner les Vi^3Vj ( Attention : toujours prendre i!=j )
tabD2<-array("no",dim=c(11,11))
tabD2[3,8]="yes"

#Pour selectionner les Vi^2VjVk ( Attention : toujours prendre j<k , i!=j , i!=k )
tabD3<-array("no",dim=c(11,11,11))
tabD3[3,5,7]="yes"

#Pour selectionner les Vi^2Vj^2 ( Attention : toujours prendre i<j )
tabD4<-array("no",dim=c(11,11))

