#-------------------------------------------------------------------
#Tableau pour 20 variables d'entree                                |
#------------------------------------------------------------------|
#Ce fichier permet de choisir les termes que l'on souhaite         |
#inclure dans la formule de regression lorsqu'on la cree avec      |
#la fonction "maformule" :                                         |
#                                                                  |
#Selectionner les termes choisis et laisser les autres en          |
#commentaire en placant un diese devant                            |
#                                                                  |
#Taper ensuite :                                                   |
#   maformule(x,a1=tabA1,a2=tabA2 ...)                             |
#ou                                                                |
#   monprogramme(x,y,tabA1=tabA1,tabA2=tabA2 ...)                  |
#ou                                                                |
#   contributions(x,y,a1=tabA1,a2=tabA2 ...)                       |
#-------------------------------------------------------------------

#Pour selectionner les Vi
tabA1<-rep("yes",20)

#Pour selectionner les Vi^2
tabA2<-rep("yes",20)

#Pour selectionner les Vi^3
tabA3<-rep("yes",20)

#Pour selectionner les Vi^4
tabA4<-rep("yes",20)

#Pour selectionner les ViVj ( Attention : toujours prendre i<j )
tabB1<-array("no",dim=c(20,20))
tabB1[1,2]="yes"
tabB1[1,3]="yes"
tabB1[2,3]="yes"
tabB1[4,5]="yes"
tabB1[4,6]="yes"
tabB1[4,7]="yes"
tabB1[5,6]="yes"
tabB1[5,7]="yes"
tabB1[6,7]="yes"

#Pour selectionner les ViVjVk ( Attention : toujours prendre i<j<k )
tabC1<-array("no",dim=c(20,20,20))

#Pour selectionner les Vi^2Vj ( Attention : toujours prendre i!=j )
tabC2<-array("no",dim=c(20,20))

#Pour selectionner les ViVjVkVl ( Attention : toujours prendre i<j<k<l )
tabD1<-array("no",dim=c(20,20,20,20))

#Pour selectionner les Vi^3Vj ( Attention : toujours prendre i!=j )
tabD2<-array("no",dim=c(20,20))

#Pour selectionner les Vi^2VjVk ( Attention : toujours prendre j<k , i!=j , i!=k )
tabD3<-array("no",dim=c(20,20,20))

#Pour selectionner les Vi^2Vj^2 ( Attention : toujours prendre i<j )
tabD4<-array("no",dim=c(20,20))

