#-------------------------------------------------------------------
#Tableau pour 52 variables d'entree                                |
#------------------------------------------------------------------|
#Ce fichier permet de choisir les termes que l'on souhaite         |
#inclure dans la formule de regression lorsqu'on la cree avec      |
#la fonction "maformule" :                                         |
#                                                                  |
#Selectionner les termes choisis et laisser les autres en          |
#commentaire en placant un diese devant                            |
#                                                                  |
#Taper ensuite :                                                   |
#   maformule(x,a1=tabA1,a2=tabA2 ...)                             |
#ou                                                                |
#   monprogramme(x,y,tabA1=tabA1,tabA2=tabA2 ...)                  |
#ou                                                                |
#   contributions(x,y,a1=tabA1,a2=tabA2 ...)                       |
#-------------------------------------------------------------------

#Pour selectionner les Vi
tabA1<-rep("no",52)
tabA1[33]="yes"
tabA1[47]="yes"
tabA1[46]="yes"
tabA1[35]="yes"
tabA1[30]="yes"
#tabA1[36]="no"
#tabA1[37]="no"
#tabA1[38]="no"
#tabA1[39]="no"
#tabA1[40]="no"
#tabA1[41]="no"
#tabA1[42]="no"

#Pour selectionner les Vi^2
tabA2<-rep("no",52)
tabA2[30]="yes"
#tabA2[36]="no"
#tabA2[37]="no"
#tabA2[38]="no"
#tabA2[39]="no"
#tabA2[40]="no"
#tabA2[41]="no"
#tabA2[42]="no"

#Pour selectionner les Vi^3
tabA3<-rep("no",52)

#Pour selectionner les Vi^4
tabA4<-rep("no",52)

#Pour selectionner les ViVj ( Attention : toujours prendre i<j )
tabB1<-array("no",dim=c(52,52))

#Pour selectionner les ViVjVk ( Attention : toujours prendre i<j<k )
tabC1<-array("no",dim=c(52,52,52))

#Pour selectionner les Vi^2Vj ( Attention : toujours prendre i!=j )
tabC2<-array("no",dim=c(52,52))

#Pour selectionner les ViVjVkVl ( Attention : toujours prendre i<j<k<l )
tabD1<-array("no",dim=c(52,52,52,52))

#Pour selectionner les Vi^3Vj ( Attention : toujours prendre i!=j )
tabD2<-array("no",dim=c(52,52))

#Pour selectionner les Vi^2VjVk ( Attention : toujours prendre j<k , i!=j , i!=k )
tabD3<-array("no",dim=c(52,52,52))

#Pour selectionner les Vi^2Vj^2 ( Attention : toujours prendre i<j )
tabD4<-array("no",dim=c(52,52))

