#-------------------------------------------------------------------
#Tableau pour 53 variables d'entree                                |
#------------------------------------------------------------------|
#Ce fichier permet de choisir les termes que l'on souhaite         |
#inclure dans la formule de regression lorsqu'on la cree avec      |
#la fonction "maformule" :                                         |
#                                                                  |
#Selectionner les termes choisis et laisser les autres en          |
#commentaire en placant un diese devant                            |
#                                                                  |
#Taper ensuite :                                                   |
#   maformule(x,a1=tabA1,a2=tabA2 ...)                             |
#ou                                                                |
#   monprogramme(x,y,tabA1=tabA1,tabA2=tabA2 ...)                  |
#ou                                                                |
#   contributions(x,y,a1=tabA1,a2=tabA2 ...)                       |
#-------------------------------------------------------------------

#Pour selectionner les Vi
tabA1<-rep("no",53)
tabA1[2]="yes"
tabA1[3]="yes"
tabA1[4]="yes"
tabA1[7]="yes"
tabA1[8]="yes"
tabA1[9]="yes"
tabA1[11]="yes"
tabA1[14]="yes"
tabA1[19]="yes"
tabA1[20]="yes"
tabA1[25]="yes"
tabA1[27]="yes"
tabA1[29]="yes"
tabA1[33]="yes"
tabA1[34]="yes"
tabA1[37]="yes"
tabA1[38]="yes"
tabA1[42]="yes"
tabA1[43]="yes"
tabA1[44]="yes"

#Pour selectionner les Vi^2
tabA2<-rep("no",53)
tabA2[2]="yes"
tabA2[3]="yes"
tabA2[4]="yes"
tabA2[7]="yes"
tabA2[8]="yes"
tabA2[9]="yes"
tabA2[11]="yes"
tabA2[14]="yes"
tabA2[19]="yes"
tabA2[20]="yes"
tabA2[25]="yes"
tabA2[27]="yes"
tabA2[29]="yes"
tabA2[33]="yes"
tabA2[34]="yes"
tabA2[37]="yes"
tabA2[38]="yes"
tabA2[42]="yes"
tabA2[43]="yes"
tabA2[44]="yes"

#Pour selectionner les Vi^3
tabA3<-rep("no",53)

#Pour selectionner les Vi^4
tabA4<-rep("no",53)

#Pour selectionner les ViVj ( Attention : toujours prendre i<j )
tabB1<-array("no",dim=c(53,53))
tabB1[2,3]="yes";tabB1[2,4]="yes";tabB1[2,7]="yes";tabB1[2,8]="yes";tabB1[2,9]="yes"
tabB1[3,4]="yes";tabB1[3,7]="yes";tabB1[3,8]="yes";tabB1[3,9]="yes"
tabB1[4,7]="yes";tabB1[4,8]="yes";tabB1[4,9]="yes"
tabB1[7,8]="yes";tabB1[7,9]="yes";tabB1[7,11]="yes";tabB1[7,14]="yes"
tabB1[8,9]="yes";tabB1[8,11]="yes";tabB1[8,14]="yes"
tabB1[9,11]="yes";tabB1[9,14]="yes"
tabB1[11,14]="yes"
tabB1[14,19]="yes";tabB1[14,20]="yes"
tabB1[19,20]="yes";tabB1[19,25]="yes"
tabB1[20,25]="yes";tabB1[20,27]="yes"
tabB1[25,27]="yes";tabB1[25,29]="yes"
tabB1[27,29]="yes"
tabB1[29,33]="yes";tabB1[29,34]="yes";tabB1[29,37]="yes";tabB1[29,38]="yes"
tabB1[33,34]="yes";tabB1[33,37]="yes";tabB1[33,38]="yes"
tabB1[34,37]="yes";tabB1[34,38]="yes"
tabB1[37,38]="yes"
tabB1[38,42]="yes"
tabB1[42,43]="yes";tabB1[42,44]="yes"
tabB1[43,44]="yes"

#Pour selectionner les ViVjVk ( Attention : toujours prendre i<j<k )
tabC1<-array("no",dim=c(53,53,53))

#Pour selectionner les Vi^2Vj ( Attention : toujours prendre i!=j )
tabC2<-array("no",dim=c(53,53))

#Pour selectionner les ViVjVkVl ( Attention : toujours prendre i<j<k<l )
tabD1<-array("no",dim=c(53,53,53,53))

#Pour selectionner les Vi^3Vj ( Attention : toujours prendre i!=j )
tabD2<-array("no",dim=c(53,53))

#Pour selectionner les Vi^2VjVk ( Attention : toujours prendre j<k , i!=j , i!=k )
tabD3<-array("no",dim=c(53,53,53))

#Pour selectionner les Vi^2Vj^2 ( Attention : toujours prendre i<j )
tabD4<-array("no",dim=c(53,53))

