
#######################################################################
# Programme d'installation automatique des librairies de R pour SMURFER
#######################################################################

# Librairies non offertes dans l'installation de base de R

list_pkg <- c("e1071","evd","gbm","pls","randomForest","triangle","sensitivity","lhs","mlegp","car","JointModeling","DiceKriging")

for (i in 1:length(list_pkg)) {

# Packages pas installes mais dispos dans la version courante de R
	if (!(list_pkg[i] %in% installed.packages()[])) {
		install.packages(list_pkg[i],repos="http://cran.cict.fr")
        }

# Packages pas installes et pas dispos dans la version courante de R
	if (!(list_pkg[i] %in% available.packages()[]) & !(list_pkg[i] %in% installed.packages()[])){
		print("")
		print(c("    Package pas disponible dans votre version de R :",list_pkg[i]))
		print("    Soit vous updatez votre version de R puis relancez ce programme")
		print(c("    Soit vous telechargez le package",list_pkg[i]))
		print("        et vous l'installez vous meme")
        }

}

#######################################################################
# Programme pour updater les librairies de R pour SMURFER
#######################################################################

update.packages(repos="http://cran.cict.fr",ask=F)
