#-------------------------------------------------------------------
#Tableau pour 5 variables d'entree                                 |
#------------------------------------------------------------------|
#Ce fichier permet de choisir les termes que l'on souhaite         |
#inclure dans la formule de regression lorsqu'on la cree avec      |
#la fonction "maformule" :                                         |
#                                                                  |
#Selectionner les termes choisis et laisser les autres en          |
#commentaire en placant un diese devant                            |
#                                                                  |
#Taper ensuite :                                                   |
#   maformule(x,a1=tabA1,a2=tabA2 ...)                             |
#ou                                                                |
#   monprogramme(x,y,tabA1=tabA1,tabA2=tabA2 ...)                  |
#ou                                                                |
#   contributions(x,y,a1=tabA1,a2=tabA2 ...)                       |
#-------------------------------------------------------------------

#Cette premiere ligne sert a preciser le nombre de variables d'entree
#Il faut toujours la laisser
dimx<-c(5)

#Pour selectionner les Vi
tabA1<-rep("no",5)
tabA1[1]="yes"
tabA1[2]="yes"
#tabA1[3]="yes"
tabA1[4]="yes"
tabA1[5]="yes"

#Pour selectionner les s(Vi) pour GAM
tabAgam<-rep("no",5)
tabAgam[1]="yes"
tabAgam[2]="yes"
#tabAgam[3]="yes"
tabAgam[4]="yes"
tabAgam[5]="yes"

#Pour selectionner les Vi^2
tabA2<-rep("no",5)
tabA2[1]="yes"
tabA2[2]="yes"
#tabA2[3]="yes"
tabA2[4]="yes"
tabA2[5]="yes"

#Pour selectionner les Vi^3
tabA3<-rep("no",5)
tabA3[1]="yes"
tabA3[2]="yes"
#tabA3[3]="yes"
tabA3[4]="yes"
tabA3[5]="yes"

#Pour selectionner les Vi^4
tabA4<-rep("no",5)
#tabA4[1]="yes"
#tabA4[2]="yes"
#tabA4[3]="yes"
#tabA4[4]="yes"
#tabA4[5]="yes"

#Pour selectionner les ViVj ( Attention : toujours prendre i<j )
tabB1<-array("no",dim=c(5,5))
tabB1[1,2]="yes"
#tabB1[1,3]="yes"
tabB1[1,4]="yes"
tabB1[1,5]="yes"
tabB1[2,3]="yes"
tabB1[2,4]="yes"
tabB1[2,5]="yes"
tabB1[3,4]="yes"
tabB1[3,5]="yes"
tabB1[4,5]="yes"


#Pour selectionner les s(ViVj) pour GAM
tabBgam<-array("no",dim=c(5,5))
#tabBgam[1,2]="yes"
#tabBgam[1,3]="yes"
#tabBgam[1,4]="yes"
#tabBgam[1,5]="yes"
#tabBgam[2,3]="yes"
#tabBgam[2,4]="yes"
#tabBgam[2,5]="yes"
#tabBgam[3,4]="yes"
#tabBgam[3,5]="yes"
#tabBgam[4,5]="yes"

#Pour selectionner les ViVjVk ( Attention : toujours prendre i<j<k )
tabC1<-array("no",dim=c(5,5,5))
#tabC1[1,2,3]="yes"
#tabC1[1,2,4]="yes"
#tabC1[1,2,5]="yes"
#tabC1[1,3,4]="yes"
#tabC1[1,3,5]="yes"
#tabC1[1,4,5]="yes"
#tabC1[2,3,4]="yes"
#tabC1[2,3,5]="yes"
#tabC1[2,4,5]="yes"
#tabC1[3,4,5]="yes"

#Pour selectionner les Vi^2Vj ( Attention : toujours prendre i!=j )
tabC2<-array("no",dim=c(5,5))
#tabC2[1,2]="yes"
#tabC2[1,3]="yes"
#tabC2[1,4]="yes"
#tabC2[1,5]="yes"
#tabC2[2,3]="yes"
#tabC2[2,4]="yes"
#tabC2[2,5]="yes"
#tabC2[3,4]="yes"
#tabC2[3,5]="yes"
#tabC2[4,5]="yes"
#tabC2[2,1]="yes"
#tabC2[3,1]="yes"
#tabC2[4,1]="yes"
#tabC2[5,1]="yes"
#tabC2[3,2]="yes"
#tabC2[4,2]="yes"
#tabC2[5,2]="yes"
#tabC2[4,3]="yes"
#tabC2[5,3]="yes"
#tabC2[5,4]="yes"

#Pour selectionner les ViVjVkVl ( Attention : toujours prendre i<j<k<l )
tabD1<-array("no",dim=c(5,5,5,5))
#tabD1[1,2,3,4]="yes"
#tabD1[1,2,3,5]="yes"
#tabD1[1,2,4,5]="yes"
#tabD1[1,3,4,5]="yes"
#tabD1[2,3,4,5]="yes"

#Pour selectionner les Vi^3Vj ( Attention : toujours prendre i!=j )
tabD2<-array("no",dim=c(5,5))
#tabD2[1,2]="yes"
#tabD2[1,3]="yes"
#tabD2[1,4]="yes"
#tabD2[1,5]="yes"
#tabD2[2,3]="yes"
#tabD2[2,4]="yes"
#tabD2[2,5]="yes"
#tabD2[3,4]="yes"
#tabD2[3,5]="yes"
#tabD2[4,5]="yes"
#tabD2[2,1]="yes"
#tabD2[3,1]="yes"
#tabD2[4,1]="yes"
#tabD2[5,1]="yes"
#tabD2[3,2]="yes"
#tabD2[4,2]="yes"
#tabD2[5,2]="yes"
#tabD2[4,3]="yes"
#tabD2[5,3]="yes"
#tabD2[5,4]="yes"

#Pour selectionner les Vi^2VjVk ( Attention : toujours prendre j<k , i!=j , i!=k )
tabD3<-array("no",dim=c(5,5,5))
#tabD3[1,2,3]="yes"
#tabD3[1,2,4]="yes"
#tabD3[1,2,5]="yes"
#tabD3[1,3,4]="yes"
#tabD3[1,3,5]="yes"
#tabD3[1,4,5]="yes"
#tabD3[2,1,3]="yes"
#tabD3[2,1,4]="yes"
#tabD3[2,1,5]="yes"
#tabD3[2,3,4]="yes"
#tabD3[2,3,5]="yes"
#tabD3[2,4,5]="yes"
#tabD3[3,1,2]="yes"
#tabD3[3,1,4]="yes"
#tabD3[3,1,5]="yes"
#tabD3[3,2,4]="yes"
#tabD3[3,2,5]="yes"
#tabD3[3,4,5]="yes"
#tabD3[4,1,2]="yes"
#tabD3[4,1,3]="yes"
#tabD3[4,1,5]="yes"
#tabD3[4,2,3]="yes"
#tabD3[4,2,5]="yes"
#tabD3[4,3,5]="yes"
#tabD3[5,1,2]="yes"
#tabD3[5,1,3]="yes"
#tabD3[5,1,4]="yes"
#tabD3[5,2,3]="yes"
#tabD3[5,2,4]="yes"
#tabD3[5,3,4]="yes"

#Pour selectionner les Vi^2Vj^2 ( Attention : toujours prendre i<j )
tabD4<-array("no",dim=c(5,5))
#tabD4[1,2]="yes"
#tabD4[1,3]="yes"
#tabD4[1,4]="yes"
#tabD4[1,5]="yes"
#tabD4[2,3]="yes"
#tabD4[2,4]="yes"
#tabD4[2,5]="yes"
#tabD4[3,4]="yes"
#tabD4[3,5]="yes"
#tabD4[4,5]="yes"
