affichetest<-function(FOUT,resultatcriteres){

#-----------------------------------------------------------------------
#Fonction permettant d'afficher les resultats sur une base de test     |
#----------------------------------------------------------------------|
#Arguments                                                             |
#obligatoires :                                                        |
#               FOUT : nom du fichier ou inscrire les resultats        |
#               resultatcriteres : variable contenant les criteres de  |
#               qualite du modele                                      |
#----------------------------------------------------------------------|
#Sortie : la fonction affiche les resultats dans le fichier            |
#res-SURFER.out qui se trouve dans le repertoire de travail            |
#----------------------------------------------------------------------|
#      Auteur : B. Iooss                                               |
#----------------------------------------------------------------------|

write("----------------",file=FOUT)
write("| ------------ |",file=FOUT)
write("| BASE de TEST |",file=FOUT)
write("| ------------ |",file=FOUT)
write("----------------",file=FOUT)
write(" ",file=FOUT)

#-----------------------
#Affichage de l'erreur |
#-----------------------

write("--------------------------",file=FOUT)
write("| Estimation de l'erreur |",file=FOUT)
write("--------------------------",file=FOUT)
write(" ",file=FOUT)

write(c("Q2                               ",resultatcriteres[1]),ncolumns=2,file=FOUT)
write(" ",file=FOUT)
write(c("Q2 ajuste                        ",resultatcriteres[2]),ncolumns=2,file=FOUT)
write(" ",file=FOUT)
write(c("MSE                              ",resultatcriteres[3]),ncolumns=2,file=FOUT)
write(" ",file=FOUT)
write(c("NMSE                             ",resultatcriteres[4]),ncolumns=2,file=FOUT)
write(" ",file=FOUT)
write(c("SMSE                             ",resultatcriteres[5]),ncolumns=2,file=FOUT)
write(" ",file=FOUT)
write(c("MAE                              ",resultatcriteres[6]),ncolumns=2,file=FOUT)
write(" ",file=FOUT)
write(c("Biais                            ",resultatcriteres[7]),ncolumns=2,file=FOUT)
write(" ",file=FOUT)
write(c("Biais normalise                  ",resultatcriteres[8]),ncolumns=2,file=FOUT)
write(" ",file=FOUT)
write(c("Residu maximal                   ",resultatcriteres[9]),ncolumns=2,file=FOUT)
write(" ",file=FOUT)
write(c("Residu relatif en moyenne        ",resultatcriteres[10]),ncolumns=2,file=FOUT)
write(" ",file=FOUT)
write(c("Residu relatif en ecart-type     ",resultatcriteres[11]),ncolumns=2,file=FOUT)
write(" ",file=FOUT)
}
