#-------------------------------------------------------------------
#Tableau pour 2 variables d'entree                                 |
#------------------------------------------------------------------|
#Ce fichier permet de choisir les termes que l'on souhaite         |
#inclure dans la formule de regression lorsqu'on la cree avec      |
#la fonction "maformule" :                                         |
#                                                                  |
#Selectionner les termes choisis et laisser les autres en          |
#commentaire en placant un diese devant                            |
#                                                                  |
#Taper ensuite :                                                   |
#   maformule(x,a1=tabA1,a2=tabA2 ...)                             |
#ou                                                                |
#   monprogramme(x,y,tabA1=tabA1,tabA2=tabA2 ...)                  |
#ou                                                                |
#   contributions(x,y,a1=tabA1,a2=tabA2 ...)                       |
#-------------------------------------------------------------------

#Pour selectionner les Vi
tabA1<-rep("no",2)
tabA1[1]="yes"
tabA1[2]="yes"

#Pour selectionner les s(Vi) pour GAM
tabAgam<-rep("no",2)
tabAgam[1]="no"
tabAgam[2]="yes"

#Pour selectionner les Vi^2
tabA2<-rep("no",2)
#tabA2[1]="yes"
#tabA2[2]="yes"

#Pour selectionner les Vi^3
tabA3<-rep("no",2)
#tabA3[1]="yes"
#tabA3[2]="yes"

#Pour selectionner les Vi^4
tabA4<-rep("no",2)
#tabA4[1]="yes"
#tabA4[2]="yes"

#Pour selectionner les ViVj ( Attention : toujours prendre i<j )
tabB1<-array("no",dim=c(2,2))
#tabB1[1,2]="yes"

#Pour selectionner les s(ViVj) pour GAM
tabBgam<-array("no",dim=c(2,2))
#tabBgam[1,2]="yes"

#Pour selectionner les Vi^2Vj ( Attention : toujours prendre i!=j )
tabC2<-array("no",dim=c(2,2))
#tabC2[1,2]="yes"
#tabC2[2,1]="yes"

#Pour selectionner les Vi^3Vj ( Attention : toujours prendre i!=j )
tabD2<-array("no",dim=c(2,2))
#tabD2[1,2]="yes"
#tabD2[2,1]="yes"

#Pour selectionner les Vi^2Vj^2 ( Attention : toujours prendre i<j )
tabD4<-array("no",dim=c(2,2))
#tabD4[1,2]="yes"
