#-------------------------------------------------------------------
#Tableau pour 3 variables d'entree                                 |
#------------------------------------------------------------------|
#Ce fichier permet de choisir les termes que l'on souhaite         |
#inclure dans la formule de regression lorsqu'on la cree avec      |
#la fonction "maformule" :                                         |
#                                                                  |
#Selectionner les termes choisis et laisser les autres en          |
#commentaire en placant un diese devant                            |
#                                                                  |
#Taper ensuite :                                                   |
#   maformule(x,a1=tabA1,a2=tabA2 ...)                             |
#ou                                                                |
#   monprogramme(x,y,tabA1=tabA1,tabA2=tabA2 ...)                  |
#ou                                                                |
#   contributions(x,y,a1=tabA1,a2=tabA2 ...)                       |
#-------------------------------------------------------------------

#Pour selectionner les Vi
tabA1<-rep("no",3)
tabA1[1]="yes"
tabA1[2]="yes"
tabA1[3]="yes"

#Pour selectionner les Vi^2
tabA2<-rep("no",3)
tabA2[1]="yes"
tabA2[2]="yes"
tabA2[3]="yes"

#Pour selectionner les Vi^3
tabA3<-rep("no",3)
#tabA3[1]="yes"
#tabA3[2]="yes"
#tabA3[3]="yes"

#Pour selectionner les Vi^4
tabA4<-rep("no",3)
#tabA4[1]="yes"
#tabA4[2]="yes"
#tabA4[3]="yes"

#Pour selectionner les ViVj ( Attention : toujours prendre i<j )
tabB1<-array("no",dim=c(3,3))
tabB1[1,2]="yes"
tabB1[1,3]="yes"
tabB1[2,3]="yes"

#Pour selectionner les ViVjVk ( Attention : toujours prendre i<j<k )
tabC1<-array("no",dim=c(3,3,3))
#tabC1[1,2,3]="yes"

#Pour selectionner les Vi^2Vj ( Attention : toujours prendre i!=j )
tabC2<-array("no",dim=c(3,3))
#tabC2[1,2]="yes"
#tabC2[1,3]="yes"
#tabC2[2,3]="yes"
#tabC2[2,1]="yes"
#tabC2[3,1]="yes"
#tabC2[3,2]="yes"

#Pour selectionner les Vi^3Vj (Attention : toujours prendre  i!=j )
tabD2<-array("no",dim=c(3,3))
#tabD2[1,2]="yes"
#tabD2[1,3]="yes"
#tabD2[2,3]="yes"
#tabD2[2,1]="yes"
#tabD2[3,1]="yes"
#tabD2[3,2]="yes"

#Pour selectionner les Vi^2VjVk ( Attention : toujours prendre j<k , i!=j , i!=k )
tabD3<-array("no",dim=c(3,3,3))
#tabD3[1,2,3]="yes"
#tabD3[2,1,3]="yes"
#tabD3[3,1,2]="yes"

#Pour selectionner les Vi^2Vj^2 ( Attention : toujours prendre i<j )
tabD4<-array("no",dim=c(3,3))
#tabD4[1,2]="yes"
#tabD4[1,3]="yes"
#tabD4[2,3]="yes"
