NMSE<-function(y,yp){

#------------------------------------------------------------
#Calcule le critere NMSE (Normalized Mean Squared Error)    |  
#-----------------------------------------------------------|
#Arguments                                                  |
#obligatoires : y : valeurs des donnees                     |  
#	        yp : valeurs predites                       |
#-----------------------------------------------------------|
#Sortie : la valeur du NMSE correspondant                   |
#-----------------------------------------------------------|
#      Auteur : B. Iooss                                    |
#-----------------------------------------------------------|  

return(sum((y-yp)^2/length(y))/(mean(y)*mean(yp)))

}
