R2<-function(y,yp){

#--------------------------------------------------------
#Calcule le critere R2 (coefficient de determination)   |  
#-------------------------------------------------------|
#Arguments                                              |
#obligatoires : y : valeurs des donnees                 |  
#	        yp : valeurs predites                   |
#-------------------------------------------------------|
#Sortie : R2 : la valeur du R2 correspondant            |
#-------------------------------------------------------|
#      Auteur : B. Iooss et P-M. Pair                   |
#-------------------------------------------------------|  

ym<-sum(y)/length(y)
return((sum((y-ym)^2)-sum((y-yp)^2))/(sum((y-ym)^2)))

}
