SMSE<-function(y,yp){

#--------------------------------------------------------------
#Calcule le critere SMSE (Standardized Mean Squared Error)    |  
#-------------------------------------------------------------|
#Arguments                                                    |
#obligatoires : y : valeurs des donnees                       |  
#	        yp : valeurs predites                         |
#-------------------------------------------------------------|
#Sortie : la valeur du NMSE correspondant                     |
#-------------------------------------------------------------|
#      Auteur : B. Iooss                                      |
#-------------------------------------------------------------|

sum((y-yp)^2/length(y))/sqrt(var(y)*var(yp))

}
